Skip to main content
POST
/
v1
/
jobs
/
submit
Seedream 5 — Text to Image
curl --request POST \
  --url https://api.muvi.video/v1/jobs/submit \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model": "<string>",
  "input": {
    "prompt": "<string>",
    "aspect_ratio": "<string>",
    "resolution": "<string>"
  }
}
'
{
  "jobId": "<string>",
  "status": "<string>",
  "estimatedCompletionTime": "<string>",
  "costMicroCents": 123
}
Generate images from text descriptions with Seedance’s Seedream 5 model. Supports multiple aspect ratios and resolution tiers.
PropertyValue
ProviderSeedance
ModelSeedream 5
CapabilityText to Image
Base Cost35,000 micro-cents/request ($0.035)
Processing Time~30 seconds

Request Body

model
string
required
Model slug. Use seedance/seedream-5/text-to-image for text-to-image generation.
input
object
required
Input parameters for text-to-image generation.
webhookUrl
string
HTTPS URL to receive a webhook notification when the job completes or fails.

Pricing

Base cost: 35,000 micro-cents per request ($0.035)
finalCost = baseCost × resolution
FactorOptionMultiplier
Resolution2K1x
3K1.5x
Default cost: 2K resolution = 35,000 × 1 = 35,000 micro-cents ($0.035)3K cost: 35,000 × 1.5 = 52,500 micro-cents ($0.0525)

Response

jobId
string
Unique identifier for the submitted job.
status
string
Initial job status. Always "pending" on successful submission.
estimatedCompletionTime
string
ISO 8601 timestamp of the estimated completion time.
costMicroCents
number
The cost of the job in micro-cents.

Code Examples

curl -X POST https://api.muvi.video/v1/jobs/submit \
  -H "Authorization: Bearer $PIXELBYTE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "model": "seedance/seedream-5/text-to-image",
    "input": {
      "prompt": "A futuristic cityscape at sunset with flying cars",
      "aspect_ratio": "16:9",
      "resolution": "2K"
    }
  }'